View Issue Details

IDProjectCategoryView StatusLast Update
0018904LazarusCompilerpublic2011-12-01 11:26
ReporterWilliam de Oliveira FerreiraAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindows 7OS VersionWindows 7 HP
Product VersionProduct Build 
Target VersionFixed in Version0.9.30 
Summary0018904: Unsaved project linker error
Description
When i try to ran a unsaved project, compiler raises a link error.

Compiler Messages:
windres: can't open file `project1.manifest': No such file or directory
Hint: Start of reading config file C:\Lazarus\fpc\2.2.4\bin\i386-win32\fpc.cfg
Hint: End of reading config file C:\Lazarus\fpc\2.2.4\bin\i386-win32\fpc.cfg
Free Pascal Compiler version 2.2.4 [2009/10/25] for i386
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Win32 for i386
Compiling C:\Users\WILLIA~1\AppData\Local\Temp\project1.lpr
Compiling unit1.pp
Compiling resource C:\Users\WILLIA~1\AppData\Local\Temp\project1.rc
c:\Lazarus\fpc\2.2.4\bin\i386-win32\windres.exe: can't open file `project1.manifest': No such file or directory
project1.lpr(20,1) Error: Error while linking
project1.lpr(20,1) Fatal: There were 1 errors compiling module, stopping

Lazarus Version:
0.9.28.2 beta
Date: 2009-10-25
FPC Version: 2.2.4
SVN revision> 22279
i386-win32-win32/win64

OS Version:
Microsoft Windows 7 Home Premium 64 bits PTBR
Version: 6.1 (Compilation 7600)
no crack...
Steps To ReproduceStart lazarus > with a unsaved project, press F9
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2011-03-10 15:02

developer   ~0046551

Please test with a more recent version of Lazarus.
Can you replicate the problem there?

Maxim Ganetsky

2011-03-11 00:01

developer   ~0046555

Last edited: 2011-03-11 00:06

Works in 0.9.29 and up. Fixed in the meantime.

Issue History

Date Modified Username Field Change
2011-03-10 13:41 William de Oliveira Ferreira New Issue
2011-03-10 14:05 Jonas Maebe Project FPC => Lazarus
2011-03-10 15:02 Juha Manninen LazTarget => -
2011-03-10 15:02 Juha Manninen Note Added: 0046551
2011-03-10 15:02 Juha Manninen Status new => feedback
2011-03-11 00:01 Maxim Ganetsky Status feedback => resolved
2011-03-11 00:01 Maxim Ganetsky Fixed in Version => 0.9.30
2011-03-11 00:01 Maxim Ganetsky Resolution open => fixed
2011-03-11 00:01 Maxim Ganetsky Assigned To => Maxim Ganetsky
2011-03-11 00:01 Maxim Ganetsky Note Added: 0046555
2011-03-11 00:06 Maxim Ganetsky Note Edited: 0046555
2011-12-01 11:26 Marc Weustink Status resolved => closed